Bug 13008 - REGRESSION(r19992-20004): WebKit ToT fails on G3 (dyld: Symbol not found: _WebCoreUnicodeDirectionFunction)
Summary: REGRESSION(r19992-20004): WebKit ToT fails on G3 (dyld: Symbol not found: _We...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh PowerPC OS X 10.4
: P1 Major
Assignee: Nobody
URL:
Keywords: Regression
Depends on:
Blocks:
 
Reported: 2007-03-07 20:57 PST by Tony Mantler
Modified: 2007-03-11 13:38 PDT (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tony Mantler 2007-03-07 20:57:54 PST
WebKit-SVN-r20045 crashes on launch (also versions r20013, r20004. Latest functional version is r19992), console says:

dyld: Symbol not found: _WebCoreUnicodeDirectionFunction
  Referenced from: /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
  Expected in: /Applications/WebKit.app/Contents/Resources/WebCore.framework/Versions/A/WebCore

Mar  7 22:36:45 Kiska crashdump[302]: Safari crashed
Mar  7 22:36:45 Kiska crashdump[302]: crash report written to: /Volumes/Neko/nicoya/Library/Logs/CrashReporter/Safari.crash.log


and Safari.crash.log says:

**********

Host Name:      Kiska
Date/Time:      2007-02-28 20:07:24.679 -0600
OS Version:     10.4.8 (Build 8L127)
Report Version: 4

Command: Safari
Path:    /Applications/Safari.app/Contents/MacOS/Safari
Parent:  WindowServer [72]

Version:        2.0.4 (419.3)
Build Version:  1
Project Name:   WebBrowser
Source Version: 4190300

PID:    221
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_PROTECTION_FAILURE (0x0002) at 0x00000210

Thread 0 Crashed:
0   com.apple.WebCore         	0x95d25ac4 DOM::Range::Range[unified](DOM::Range const&) + 0
1   com.apple.WebCore         	0x95d24d90 khtml::InlineTextBox::paint(khtml::RenderObject::PaintInfo&, int, int) + 324
2   com.apple.WebCore         	0x95d24d90 khtml::InlineTextBox::paint(khtml::RenderObject::PaintInfo&, int, int) + 324
3   com.apple.WebCore         	0x95d0391c khtml::InlineFlowBox::paint(khtml::RenderObject::PaintInfo&, int, int) + 556
4   com.apple.WebCore         	0x95d0391c khtml::InlineFlowBox::paint(khtml::RenderObject::PaintInfo&, int, int) + 556
5   com.apple.WebCore         	0x95d036cc khtml::RootInlineBox::paint(khtml::RenderObject::PaintInfo&, int, int) + 36
6   com.apple.WebCore         	0x95d0230c khtml::RenderFlow::paintLines(khtml::RenderObject::PaintInfo&, int, int) + 984
7   com.apple.WebCore         	0x95cff274 khtml::RenderBlock::paintObject(khtml::RenderObject::PaintInfo&, int, int) + 228
8   com.apple.WebCore         	0x95cff17c khtml::RenderBlock::paint(khtml::RenderObject::PaintInfo&, int, int) + 296
9   com.apple.WebCore         	0x95d00b64 khtml::RenderBlock::paintChildren(khtml::RenderObject::PaintInfo&, int, int) + 452
10  com.apple.WebCore         	0x95cff284 khtml::RenderBlock::paintObject(khtml::RenderObject::PaintInfo&, int, int) + 244
11  com.apple.WebCore         	0x95cff17c khtml::RenderBlock::paint(khtml::RenderObject::PaintInfo&, int, int) + 296
12  com.apple.WebCore         	0x95d00b64 khtml::RenderBlock::paintChildren(khtml::RenderObject::PaintInfo&, int, int) + 452
13  com.apple.WebCore         	0x95cff284 khtml::RenderBlock::paintObject(khtml::RenderObject::PaintInfo&, int, int) + 244
14  com.apple.WebCore         	0x95cff17c khtml::RenderBlock::paint(khtml::RenderObject::PaintInfo&, int, int) + 296
15  com.apple.WebCore         	0x95d00b64 khtml::RenderBlock::paintChildren(khtml::RenderObject::PaintInfo&, int, int) + 452
16  com.apple.WebCore         	0x95cff284 khtml::RenderBlock::paintObject(khtml::RenderObject::PaintInfo&, int, int) + 244
17  com.apple.WebCore         	0x95cff17c khtml::RenderBlock::paint(khtml::RenderObject::PaintInfo&, int, int) + 296
18  com.apple.WebCore         	0x95d00b64 khtml::RenderBlock::paintChildren(khtml::RenderObject::PaintInfo&, int, int) + 452
19  com.apple.WebCore         	0x95cff284 khtml::RenderBlock::paintObject(khtml::RenderObject::PaintInfo&, int, int) + 244
20  com.apple.WebCore         	0x95cff17c khtml::RenderBlock::paint(khtml::RenderObject::PaintInfo&, int, int) + 296
21  com.apple.WebCore         	0x95cfdb50 khtml::RenderLayer::paintLayer(khtml::RenderLayer*, QPainter*, QRect const&, bool, bool, khtml::RenderObject*) + 864
22  com.apple.WebCore         	0x95cfdc20 khtml::RenderLayer::paintLayer(khtml::RenderLayer*, QPainter*, QRect const&, bool, bool, khtml::RenderObject*) + 1072
23  com.apple.WebCore         	0x95cfd774 KWQKHTMLPart::paint(QPainter*, QRect const&) + 164
24  com.apple.WebCore         	0x95cfd6ac -[WebCoreBridge drawRect:withPainter:] + 80
25  com.apple.WebCore         	0x95cfd43c -[WebCoreBridge drawRect:] + 112
26  com.apple.WebKit          	0x95b07238 -[WebHTMLView drawSingleRect:] + 328
27  com.apple.WebKit          	0x95ad4cf0 -[WebHTMLView drawRect:] + 244
28  com.apple.AppKit          	0x93777858 -[NSView _drawRect:clip:] + 2128
29  com.apple.AppKit          	0x937765fc -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 736
30  com.apple.WebKit          	0x95ad5d48 -[WebHTMLView(WebPrivate) _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 252
31  com.apple.AppKit          	0x937769a8 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1676
32  com.apple.AppKit          	0x937769a8 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1676
33  com.apple.AppKit          	0x937769a8 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1676
34  com.apple.AppKit          	0x937769a8 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1676
35  com.apple.AppKit          	0x937769a8 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1676
36  com.apple.AppKit          	0x937769a8 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1676
37  com.apple.AppKit          	0x937769a8 -[NSView _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 1676
38  com.apple.AppKit          	0x93797044 -[NSThemeFrame _recursiveDisplayRectIfNeededIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:topView:] + 192
39  com.apple.AppKit          	0x93770054 -[NSView _displayRectIgnoringOpacity:isVisibleRect:rectIsVisibleRectForView:] + 384
40  com.apple.AppKit          	0x93765348 -[NSView displayIfNeeded] + 248
41  com.apple.AppKit          	0x937651b8 -[NSWindow displayIfNeeded] + 180
42  com.apple.Safari          	0x0001a5f8 0x1000 + 103928
43  com.apple.AppKit          	0x93765064 _handleWindowNeedsDisplay + 200
44  com.apple.CoreFoundation  	0x907dc73c __CFRunLoopDoObservers + 352
45  com.apple.CoreFoundation  	0x907dc9dc __CFRunLoopRun + 420
46  com.apple.CoreFoundation  	0x907dc47c CFRunLoopRunSpecific + 268
47  com.apple.HIToolbox       	0x93208740 RunCurrentEventLoopInMode + 264
48  com.apple.HIToolbox       	0x93207dd4 ReceiveNextEventCommon + 380
49  com.apple.HIToolbox       	0x93207c40 BlockUntilNextEventMatchingListInMode + 96
50  com.apple.AppKit          	0x93731ae4 _DPSNextEvent + 384
51  com.apple.AppKit          	0x937317a8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116
52  com.apple.Safari          	0x00006740 0x1000 + 22336
53  com.apple.AppKit          	0x9372dcec -[NSApplication run] + 472
54  com.apple.AppKit          	0x9381e87c NSApplicationMain + 452
55  com.apple.Safari          	0x0005c77c 0x1000 + 374652
56  com.apple.Safari          	0x0005c624 0x1000 + 374308

Thread 1:
0   libSystem.B.dylib         	0x9000ab48 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000aa9c mach_msg + 60
2   com.apple.CoreFoundation  	0x907dcb78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907dc47c CFRunLoopRunSpecific + 268
4   com.apple.Foundation      	0x92970164 -[NSRunLoop runMode:beforeDate:] + 172
5   com.apple.Foundation      	0x9297009c -[NSRunLoop run] + 76
6   com.apple.WebKit          	0x95abbef0 +[WebFileDatabase _syncLoop:] + 176
7   com.apple.Foundation      	0x92961194 forkThreadForFunction + 108
8   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 2:
0   libSystem.B.dylib         	0x9000ab48 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000aa9c mach_msg + 60
2   com.apple.CoreFoundation  	0x907dcb78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907dc47c CFRunLoopRunSpecific + 268
4   com.apple.Foundation      	0x9298869c +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264
5   com.apple.Foundation      	0x92961194 forkThreadForFunction + 108
6   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib         	0x9000ab48 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000aa9c mach_msg + 60
2   com.apple.CoreFoundation  	0x907dcb78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907dc47c CFRunLoopRunSpecific + 268
4   com.apple.Foundation      	0x929897dc +[NSURLCache _diskCacheSyncLoop:] + 152
5   com.apple.Foundation      	0x92961194 forkThreadForFunction + 108
6   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib         	0x9002bbc8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib         	0x900306ac pthread_cond_wait + 480
2   com.apple.Foundation      	0x92968300 -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.Syndication     	0x9b21d42c -[AsyncDB _run:] + 192
4   com.apple.Foundation      	0x92961194 forkThreadForFunction + 108
5   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib         	0x9001f08c select + 12
1   com.apple.CoreFoundation  	0x907ef40c __CFSocketManager + 472
2   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 6:
0   libSystem.B.dylib         	0x9000ab48 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000aa9c mach_msg + 60
2   com.apple.CoreFoundation  	0x907dcb78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907dc47c CFRunLoopRunSpecific + 268
4   com.apple.audio.CoreAudio 	0x9145563c HALRunLoop::OwnThread(void*) + 264
5   com.apple.audio.CoreAudio 	0x914553dc CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 7:
0   libSystem.B.dylib         	0x9002bbc8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib         	0x900306ac pthread_cond_wait + 480
2   com.apple.Foundation      	0x92968300 -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.AppKit          	0x937ce708 -[NSUIHeartBeat _heartBeatThread:] + 324
4   com.apple.Foundation      	0x92961194 forkThreadForFunction + 108
5   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 8:
0   libSystem.B.dylib         	0x9000ab48 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000aa9c mach_msg + 60
2   com.apple.CoreFoundation  	0x907dcb78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907dc47c CFRunLoopRunSpecific + 268
4   com.apple.CoreFoundation  	0x907eb8dc CFRunLoopRun + 52
5   com.apple.QuickTime       	0x94820f80 QTSNetworkThread_RunThread + 128
6   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 9:
0   libSystem.B.dylib         	0x9000ab48 mach_msg_trap + 8
1   libSystem.B.dylib         	0x9000aa9c mach_msg + 60
2   com.apple.CoreFoundation  	0x907dcb78 __CFRunLoopRun + 832
3   com.apple.CoreFoundation  	0x907dc47c CFRunLoopRunSpecific + 268
4   com.apple.Foundation      	0x92970164 -[NSRunLoop runMode:beforeDate:] + 172
5   com.apple.Foundation      	0x9297009c -[NSRunLoop run] + 76
6   com.apple.Safari          	0x0003d5f0 0x1000 + 247280
7   com.apple.Foundation      	0x92961194 forkThreadForFunction + 108
8   libSystem.B.dylib         	0x9002b508 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x0000000095d25ac4 srr1: 0x000000000000f030                        vrsave: 0x0000000000000000
    cr: 0x24242284          xer: 0x0000000020000004   lr: 0x0000000095d25aa8  ctr: 0x0000000095f180d4
    r0: 0x0000000095d24d90   r1: 0x00000000bfffc4a0   r2: 0x0000000024906aa0   r3: 0x00000000bfffc560
    r4: 0x0000000000000210   r5: 0x00000000000000c0   r6: 0x00000000000000ec   r7: 0x0000000000000000
    r8: 0x0000000000000002   r9: 0x00000000a5d0cc30  r10: 0x0000000095d00d10  r11: 0x0000000024244282
   r12: 0x0000000095f180d4  r13: 0x0000000000000000  r14: 0x00000000bfffdd20  r15: 0x0000000026b760a0
   r16: 0x0000000000000000  r17: 0x0000000000000000  r18: 0x0000000000000000  r19: 0x00000000000000ec
   r20: 0x00000000000000c0  r21: 0x00000000000000c0  r22: 0x00000000000000ec  r23: 0x0000000000000000
   r24: 0x00000000000000ec  r25: 0x00000000bfffc9d0  r26: 0x0000000000000000  r27: 0x0000000000000000
   r28: 0x0000000026b81750  r29: 0x00000000bfffc560  r30: 0x0000000026b8170c  r31: 0x0000000095d24c64

Binary Images Description:
    0x1000 -    0xdcfff com.apple.Safari 2.0.4 (419.3)	/Applications/Safari.app/Contents/MacOS/Safari
  0x6d0000 -   0x6d0fff com.apple.SpotLightCM 1.0 (121.20.2)	/System/Library/Contextual Menu Items/SpotlightCM.plugin/Contents/MacOS/SpotlightCM
 0x1416000 -  0x1417fff com.apple.aoa.halplugin 2.5.6 (2.5.6b5)	/System/Library/Extensions/IOAudioFamily.kext/Contents/PlugIns/AOAHALPlugin.bundle/Contents/MacOS/AOAHALPlugin
 0x17d5000 -  0x17d7fff com.apple.textencoding.unicode 2.0	/System/Library/TextEncodings/Unicode Encodings.bundle/Contents/MacOS/Unicode Encodings
 0x5f30000 -  0x5f32fff com.apple.AutomatorCMM 1.0 (48)	/System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
 0x6547000 -  0x654bfff com.apple.FolderActionsMenu 1.3	/System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
 0xb690000 -  0xb6a1fff com.apple.locale.textbreak.thai 1.0.2	/System/Library/LocalePlugins/ThaiTextBreak.localePlugin/Contents/MacOS/ThaiTextBreak
 0xc162000 -  0xc1d1fff net.sourceforge.webcam-osx.common 0.8	/Library/QuickTime/macam.component/Contents/MacOS/macam
 0xcbee000 -  0xcc27fff com.apple.audio.SoundManager.Components 3.9.1	/System/Library/Components/SoundManagerComponents.component/Contents/MacOS/SoundManagerComponents
 0xcc49000 -  0xcc56fff com.apple.quicktime.webplugin 7.1.3	/Library/Internet Plug-Ins/QuickTime Plugin.webplugin/Contents/MacOS/QuickTime Plugin
 0xcde1000 -  0xce20fff com.apple.QuickTimeFireWireDV.component 7.1.3	/System/Library/QuickTime/QuickTimeFirewireDV.component/Contents/MacOS/QuickTimeFireWireDV
 0xd144000 -  0xd44dfff com.macromedia.Flash Player.plugin 9.0.0 (1.0.4f20)	/Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x1c305000 - 0x1c36efff com.apple.AppleIntermediateCodec 1.0.1 (124)	/Library/QuickTime/AppleIntermediateCodec.component/Contents/MacOS/AppleIntermediateCodec
0x1c505000 - 0x1c57efff com.apple.applepixletvideo 1.2.5 (1.2d5)	/System/Library/QuickTime/ApplePixletVideo.component/Contents/MacOS/ApplePixletVideo
0x1cdb6000 - 0x1cdd6fff com.apple.print.PrintingCocoaPDEs 4.6 (163.10)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Plugins/PrintingCocoaPDEs.bundle/Contents/MacOS/PrintingCocoaPDEs
0x1cedc000 - 0x1cef5fff com.apple.print.PrintingTiogaPDEs 4.3 (157.7)	/System/Library/Frameworks/Carbon.framework/Frameworks/Print.framework/Versions/A/Plugins/PrintingTiogaPDEs.bundle/Contents/MacOS/PrintingTiogaPDEs
0x1ddcd000 - 0x1ddf9fff com.apple.print.framework.Print.Private 4.6 (163.10)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/Current/Plugins/PrintCocoaUI.bundle/Contents/MacOS/PrintCocoaUI
0x8fe00000 - 0x8fe51fff dyld 45.3	/usr/lib/dyld
0x90000000 - 0x901bcfff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x90214000 - 0x90219fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x9021b000 - 0x90268fff com.apple.CoreText 1.0.2 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90293000 - 0x90344fff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90373000 - 0x9072dfff com.apple.CoreGraphics 1.258.38 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x907ba000 - 0x90893fff com.apple.CoreFoundation 6.4.6 (368.27)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x908dc000 - 0x908dcfff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x908de000 - 0x909e0fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a3a000 - 0x90abefff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90ae8000 - 0x90b58fff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90b6e000 - 0x90b80fff libauto.dylib 	/usr/lib/libauto.dylib
0x90b87000 - 0x90e5efff com.apple.CoreServices.CarbonCore 681.8	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90ec4000 - 0x90f44fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f8e000 - 0x90fcffff com.apple.CFNetwork 129.19	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90fe4000 - 0x90ffcfff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x9100c000 - 0x9108dfff com.apple.SearchKit 1.0.5	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x910d3000 - 0x910fdfff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x9110e000 - 0x9111cfff libz.1.dylib 	/usr/lib/libz.1.dylib
0x9111f000 - 0x912dafff com.apple.security 4.6 (29770)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x913d9000 - 0x913e2fff com.apple.DiskArbitration 2.1	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x913e9000 - 0x91411fff com.apple.SystemConfiguration 1.8.3	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91424000 - 0x9142ffff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x91434000 - 0x9143cfff libbsm.dylib 	/usr/lib/libbsm.dylib
0x91440000 - 0x914bbfff com.apple.audio.CoreAudio 3.0.4	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x914f8000 - 0x914f8fff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x914fa000 - 0x91532fff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9154d000 - 0x9161afff com.apple.ColorSync 4.4.4	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x9166f000 - 0x91700fff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x91747000 - 0x917fefff com.apple.QD 3.10.21 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x9183b000 - 0x91899fff com.apple.HIServices 1.5.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x918c8000 - 0x918ecfff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91900000 - 0x91925fff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x91938000 - 0x9197afff com.apple.LaunchServices 181	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x91996000 - 0x919aafff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x919b8000 - 0x919fafff com.apple.ImageIO.framework 1.5.0	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91a10000 - 0x91ad7fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91b25000 - 0x91b3afff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91b3f000 - 0x91b5dfff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b63000 - 0x91bd2fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91be9000 - 0x91bedfff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91bef000 - 0x91c4efff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91c53000 - 0x91c90fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91c97000 - 0x91cb0fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91cb5000 - 0x91cb8fff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91cba000 - 0x91cbafff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91cbc000 - 0x91da1fff com.apple.vImage 2.4	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91da9000 - 0x91dc8fff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91e34000 - 0x91ea2fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x91ead000 - 0x91f42fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91f5c000 - 0x924e4fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x92517000 - 0x92842fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92872000 - 0x928fafff com.apple.DesktopServices 1.3.5	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x9293b000 - 0x92b66fff com.apple.Foundation 6.4.6 (567.27)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92c84000 - 0x92d62fff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x92d82000 - 0x92e70fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92e82000 - 0x92ea0fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92eab000 - 0x92f05fff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92f23000 - 0x92f23fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92f25000 - 0x92f39fff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92f51000 - 0x92f61fff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x92f6d000 - 0x92f82fff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x92f94000 - 0x9301bfff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x9302f000 - 0x9303afff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x93044000 - 0x93071fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x9308b000 - 0x9309bfff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x930a7000 - 0x9310dfff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x9313e000 - 0x9318dfff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x931bb000 - 0x931d8fff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x931ea000 - 0x931f7fff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x93200000 - 0x9350dfff com.apple.HIToolbox 1.4.8 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x9365c000 - 0x93668fff com.apple.opengl 1.4.7	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x9366d000 - 0x9368dfff com.apple.DirectoryService.Framework 3.1	/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93701000 - 0x93721fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x93727000 - 0x93727fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x93729000 - 0x93d5cfff com.apple.AppKit 6.4.7 (824.41)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x940e9000 - 0x94159fff com.apple.CoreData 80	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x94192000 - 0x94255fff com.apple.audio.toolbox.AudioToolbox 1.4.3	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x942a7000 - 0x942a7fff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x942a9000 - 0x9447cfff com.apple.QuartzCore 1.4.9	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x944d2000 - 0x9450ffff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x94517000 - 0x94567fff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945f8000 - 0x94630fff com.apple.vmutils 4.0.0 (85)	/System/Library/PrivateFrameworks/vmutils.framework/Versions/A/vmutils
0x94673000 - 0x9468ffff com.apple.securityfoundation 2.2 (27710)	/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x946a3000 - 0x946e7fff com.apple.securityinterface 2.2 (27692)	/System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x9470b000 - 0x9471afff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x94722000 - 0x9472efff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x94774000 - 0x9478cfff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x94793000 - 0x94a62fff com.apple.QuickTime 7.1.3	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94b25000 - 0x94b96fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x94d0b000 - 0x94e3bfff com.apple.AddressBook.framework 4.0.4 (485.1)	/System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x94ecd000 - 0x94edcfff com.apple.DSObjCWrappers.Framework 1.1	/System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x94ee4000 - 0x94f11fff com.apple.LDAPFramework 1.4.1 (69.0.1)	/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x94f18000 - 0x94f28fff libsasl2.2.dylib 	/usr/lib/libsasl2.2.dylib
0x94f2c000 - 0x94f5bfff libssl.0.9.7.dylib 	/usr/lib/libssl.0.9.7.dylib
0x94f6b000 - 0x94f88fff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x95ab9000 - 0x95b47fff com.apple.WebKit 418.9.1	/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x95ba3000 - 0x95c39fff com.apple.JavaScriptCore 1.2 (418.3)	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x95c76000 - 0x95f82fff com.apple.WebCore 418.21	/System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x9610b000 - 0x96134fff libxslt.1.dylib 	/usr/lib/libxslt.1.dylib
0x963de000 - 0x9641dfff com.apple.QTKit 7.1.3	/System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x9647a000 - 0x964acfff com.apple.PDFKit 1.0.1	/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/PDFKit
0x969f0000 - 0x969f1fff libCyrillicConverter.dylib 	/System/Library/CoreServices/Encodings/libCyrillicConverter.dylib
0x969f3000 - 0x969f4fff libGreekConverter.dylib 	/System/Library/CoreServices/Encodings/libGreekConverter.dylib
0x969f9000 - 0x96a0ffff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x96a11000 - 0x96a31fff libKoreanConverter.dylib 	/System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x96a3f000 - 0x96a4dfff libSimplifiedChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x96a52000 - 0x96a53fff libThaiConverter.dylib 	/System/Library/CoreServices/Encodings/libThaiConverter.dylib
0x96a55000 - 0x96a68fff libTraditionalChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x9742b000 - 0x9744afff com.apple.vecLib 3.2.2 (vecLib 3.2.2)	/System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x97c50000 - 0x97c5dfff com.apple.agl 2.5.6 (AGL-2.5.6)	/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x99729000 - 0x9a0e0fff com.apple.QuickTimeComponents.component 7.1.3	/System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x9a307000 - 0x9a30bfff com.apple.QuickTimeH264.component 7.1.3	/System/Library/QuickTime/QuickTimeH264.component/Contents/MacOS/QuickTimeH264
0x9a3f6000 - 0x9a4d3fff QuickTimeH264.scalar 	/System/Library/QuickTime/QuickTimeH264.component/Contents/Resources/QuickTimeH264.scalar
0x9a53d000 - 0x9a604fff com.apple.QuickTimeMPEG4.component 7.1.3	/System/Library/QuickTime/QuickTimeMPEG4.component/Contents/MacOS/QuickTimeMPEG4
0x9a621000 - 0x9a785fff com.apple.QuickTimeStreaming.component 7.1.3	/System/Library/QuickTime/QuickTimeStreaming.component/Contents/MacOS/QuickTimeStreaming
0x9ad77000 - 0x9ada2fff com.apple.QuickTime Plugin.plugin 7.1.3	/Library/Internet Plug-Ins/QuickTime Plugin.plugin/Contents/MacOS/QuickTime Plugin
0x9b21a000 - 0x9b250fff com.apple.Syndication 1.0.6 (54)	/System/Library/PrivateFrameworks/Syndication.framework/Versions/A/Syndication
0x9b26d000 - 0x9b27ffff com.apple.SyndicationUI 1.0.6 (54)	/System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
0x9b448000 - 0x9b45ffff libCFilter.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCFilter.A.dylib
0x9b470000 - 0x9b5b4fff libCMaps.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCMaps.A.dylib

**********

Host Name:      Kiska
Date/Time:      2007-03-07 22:28:37.600 -0600
OS Version:     10.4.8 (Build 8L127)
Report Version: 4

Command: Safari
Path:    /Applications/Safari.app/Contents/MacOS/Safari
Parent:  WindowServer [61]

Version: 2.0.4 (419.3)

PID:    264
Thread: Unknown

Link (dyld) error:

Symbol not found: _WebCoreUnicodeDirectionFunction
  Referenced from: /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
  Expected in: /Applications/WebKit.app/Contents/Resources/WebCore.framework/Versions/A/WebCore

**********

Host Name:      Kiska
Date/Time:      2007-03-07 22:29:25.121 -0600
OS Version:     10.4.8 (Build 8L127)
Report Version: 4

Command: Safari
Path:    /Applications/Safari.app/Contents/MacOS/Safari
Parent:  WindowServer [61]

Version: 2.0.4 (419.3)

PID:    268
Thread: Unknown

Link (dyld) error:

Symbol not found: _WebCoreUnicodeDirectionFunction
  Referenced from: /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
  Expected in: /Applications/WebKit.app/Contents/Resources/WebCore.framework/Versions/A/WebCore

**********

Host Name:      Kiska
Date/Time:      2007-03-07 22:29:40.933 -0600
OS Version:     10.4.8 (Build 8L127)
Report Version: 4

Command: Safari
Path:    /Applications/Safari.app/Contents/MacOS/Safari
Parent:  WindowServer [61]

Version: 2.0.4 (419.3)

PID:    272
Thread: Unknown

Link (dyld) error:

Symbol not found: _WebCoreUnicodeDirectionFunction
  Referenced from: /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
  Expected in: /Applications/WebKit.app/Contents/Resources/WebCore.framework/Versions/A/WebCore

**********

Host Name:      Kiska
Date/Time:      2007-03-07 22:36:45.445 -0600
OS Version:     10.4.8 (Build 8L127)
Report Version: 4

Command: Safari
Path:    /Applications/Safari.app/Contents/MacOS/Safari
Parent:  WindowServer [61]

Version: 2.0.4 (419.3)

PID:    300
Thread: Unknown

Link (dyld) error:

Symbol not found: _WebCoreUnicodeDirectionFunction
  Referenced from: /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
  Expected in: /Applications/WebKit.app/Contents/Resources/WebCore.framework/Versions/A/WebCore
Comment 1 David Kilzer (:ddkilzer) 2007-03-07 22:37:53 PST
Hi Tony!  It's been a while since I've done any hacking on linux-mac68k.

I believe this issue is a duplicate of Bug 10510, which means that you need to upgrade from Acrobat Reader 7 to Acrobat Reader 8 (or disable the Acrobat Reader plug-in) to use the nightly builds.

Note that the first entry in Safari.crash.log is from 2007-02-28 and is probably a different issue.  The rest of the crash log entries are related to this issue.

Comment 2 Tony Mantler 2007-03-08 04:53:36 PST
Oops, didn't even notice I copied more than one crash log. Yes, disregard the first one in there, I think it's not even from a webkit nightly.

I don't believe this issue is an exact duplicate of the bug you mentioned, as I do not have Acrobat or the Acrobat Reader plugin installed, since the built-in PDF functions in OS X have always been more than sufficient for my needs. Is there a specific directory I should double-check to make sure there isn't one accidentally installed?

And yeah, it's been a while since I've been doing any linux-mac68k stuff myself. Small world we should run into each other again. :)
Comment 3 David Kilzer (:ddkilzer) 2007-03-08 07:45:41 PST
(In reply to comment #2)
> Is there a specific directory I should double-check to make sure there isn't one
> accidentally installed?

I would check these directories:

/Library/Internet Plug-Ins/
~/Library/Internet Plug-Ins/

You could also check which plug-ins are installed by going to "Help", then "Installed Plug-ins".  It could be a plug-in other than Acrobat Reader doing this, although it would have to be something that loaded on your home page.

If you set your default home page to be "Empty" via Safari's preferences, does the nightly still crash?

Comment 4 Tony Mantler 2007-03-08 08:35:37 PST
The default homepage is already empty. The crash happens well before any browser window opens.

The plugins are:

QuickTime Plug-In 7.1.3
Java Plug-in (CFM)
Shockwave Flash 9.0 r19
Quartz Composer Plug-In
Verified Download Plugin
VLC Multimedia Plugin
Shockwave Flash 9.0 r20
Java Plug-in for Cocoa
Shockwave for Director
QuickTime Plug-in 7.1.5
Java Plug-in

I'll try pulling some of those out a bit later to see if one of them is to blame.
Comment 5 Tony Mantler 2007-03-09 21:51:08 PST
Well, I removed all the plugins and WebKit still crashes on launch. Any other ideas?
Comment 6 David Kilzer (:ddkilzer) 2007-03-10 12:18:59 PST
(In reply to comment #5)
> Well, I removed all the plugins and WebKit still crashes on launch. Any other
> ideas?

I'm out of ideas.  Mark, do you have any more things to try?

Tony, is this a relatively "clean" installation of Mac OS X 10.4.8 and/or a "clean" account?

Comment 7 Tony Mantler 2007-03-10 12:56:00 PST
That depends what you mean by "clean". :)

I just tried with a newly created user account and the crash was the same.

The OS hasn't really been mucked around with much, but it's the same install since I got the machine way back in the 10.3 days.

Just a shot in the dark, do you have a G3 machine to test on? Perhaps one of the build targets is broken.
Comment 8 David Kilzer (:ddkilzer) 2007-03-10 12:59:10 PST
(In reply to comment #7)
> The OS hasn't really been mucked around with much, but it's the same install
> since I got the machine way back in the 10.3 days.

I have a PB G4 that has been upgraded to Tiger (10.4) from Panther (10.3), although it works fine.

> Just a shot in the dark, do you have a G3 machine to test on? Perhaps one of
> the build targets is broken.

Good thought!  Unfortunately I do not have a G3 to test.  Perhaps one of the other WebKit contributors (or Apple engineers) does.

Comment 9 Matt Lilek 2007-03-10 13:06:38 PST
This does indeed crash with the same "Symbol not found" error on my PowerMac G3 with a fairly untouched, clean install of 10.4.8.
Comment 10 David Kilzer (:ddkilzer) 2007-03-10 13:18:14 PST
Giving this bug the P1 treatment.

I wonder if this regressed when Leopard support was added to WebKit ToT?  Please try a WebKit nightly before r18849 to see if that "fixes" the issue.

http://trac.webkit.org/projects/webkit/changeset/18849

Otherwise, a binary search of WebKit nightlies is probably the fastest way to find the regression point.

http://nightly.webkit.org/

Comment 11 Matt Lilek 2007-03-10 13:26:53 PST
Per the original report, I've verified that the r19992 nightly works fine.  A quick Trac check for r19992-r20004 doesn't show anything obvious.
Comment 12 David Kilzer (:ddkilzer) 2007-03-10 13:33:24 PST
(In reply to comment #11)
> Per the original report, I've verified that the r19992 nightly works fine.
> A quick Trac check for r19992-r20004 doesn't show anything obvious.

Could be an issue with the system that the nightlies are being built on, or perhaps a toolchain issue (ugh!).  (Tony is "familiar" with fighting toolchain issues from the linux-mac68k project. :)

Matt or Tony, do either of you have local development environments?  It would be interesting (if not time-consuming) to create a local (debug) build of WebKit on a G3 to see if it has the same issue.

Comment 13 Tony Mantler 2007-03-10 13:43:46 PST
Sadly my G3 happens to be a Rev-A B&W, which means I'm stuck with the original 6 gig root drive and no room to install xcode.

And yes, I'm quite (painfully) familiar with toolchain issues. :)
Comment 14 David Kilzer (:ddkilzer) 2007-03-10 13:45:10 PST
(In reply to comment #11)
> Per the original report, I've verified that the r19992 nightly works fine.  A
> quick Trac check for r19992-r20004 doesn't show anything obvious.

I'm leery of r20003 which was a change to libWebKitSystemInterface.a, and was later fixed by Mark in r20005.

http://trac.webkit.org/projects/webkit/changeset/20003
http://trac.webkit.org/projects/webkit/changeset/20005
Comment 15 Matt Lilek 2007-03-10 13:52:33 PST
I'm building on my G3 now, I'll let you know how it goes when it's done in a week :p
Comment 16 Matt Lilek 2007-03-10 17:29:27 PST
ToT built and runs fine on my G3 (ironically, I think it built faster than my G4...).  I also built the nightly launcher in WebKitTools/ and that runs fine too, so it must be a change in the way the nightlies are built.
Comment 17 Mark Rowe (bdash) 2007-03-11 04:18:36 PDT
I get the feeling this may be because I've switched to building the nightlies from Leopard.

One thing that strikes me as suspicious is the reference to /System/Library/Frameworks/WebKit.framework.

Symbol not found: _WebCoreUnicodeDirectionFunction
  Referenced from:
/System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
  Expected in:
/Applications/WebKit.app/Contents/Resources/WebCore.framework/Versions/A/WebCore

This suggests that the right WebKit.framework is not being loaded.
Comment 18 Mark Rowe (bdash) 2007-03-11 04:20:47 PDT
Ok, I see why this is.  Looking into a fix.
Comment 19 Mark Rowe (bdash) 2007-03-11 06:33:14 PDT
This looks to be a toolchain issue.  I've hacked a workaround into my nightly build process.  Nightlies starting from r20103 should launch correctly on G3s again.
Comment 20 Tony Mantler 2007-03-11 13:38:46 PDT
r20103 works on my G3 now. Thanks!